#!/usr/bin/env node

var fs = require('fs')
var packageJson = require('../package.json')
var build = require('../lib/build')
var preview =  require('../lib/preview')

var args = process.argv

var command = args[2]

switch (command) {
    case 'build':
        build(args[3])
        break;
    case 'preview':
        preview(args[3])
        break;
    case 'help':
        console.log('itcast build markdown文件名 -- 根据指定的markdown文件生成html文件')
        console.log('itcast preview markdown文件名 -- 根据指定的markdown文件实时预览html文件')
        break;
    case '--version':
        console.log(packageJson.version)
        break;
    default:
        break;
}