var fs = require('fs')
var path = require('path')

var marked = require('marked')

var opener = require('opener')

var templateStr = fs.readFileSync(path.join(__dirname, 'template'), 'utf8')

module.exports = function (markdownPath) {
    fs.readFile(markdownPath, 'utf8', function(err, data) {
        if (err) {
            throw err
        }
        data = marked(data)
        data = templateStr.replace('^_^', data)

        var distPath = './' + path.parse(markdownPath).name + '.html'

        fs.writeFile(distPath, data, function (err) {
            if (err) {
                throw err
            }
            console.log('编译ok')

            opener(distPath)
        })
    })
}