var fs = require('fs')
var path = require('path')
var marked = require('marked')
var bs = require('browser-sync').create()
var opener = require('opener')

var isStart = false;

var templateStr = fs.readFileSync(path.join(__dirname, 'template'), 'utf8')

module.exports = function (markdownPath) {
    fs.watchFile(markdownPath, {
        persistent: true,
        interval: 500
    }, function () {
        fs.readFile(markdownPath, 'utf8', function (err, data) {
            if (err) {
                throw err
            }
            data = marked(data)

            data = templateStr.replace('^_^', data)
            var distPath = './' + path.parse(markdownPath).name + '.html'

            fs.writeFile(distPath, data, function (err, data) {
                if (err) {
                    throw err
                }
                console.log('ok2')
                if (!isStart) {
                    bs.init({
                        server: {
                            baseDir: './',
                            index: distPath
                        }
                    })

                    isStart = true
                }
                bs.reload('*.html')
            })
        })
    })
}